div#overlay { display: none; }

a#toggle {
  position:absolute;
  top: 34px;
  right:20px;
  width: 40px;
  height: 40px;
  background-color:rgba(242, 105, 43, 0.9);
  text-align: center;
  color: white;
  display: none;
  transition: all ease-out 0.3s;
}

a#toggle i {
  position: relative;
  top: 50%;
  transform: translateY(-50%);
}

main#content { padding: 10px; }

#menu {
  text-align: center;
  transition: all ease-out 0.3s;
}

#menu a { color: #1A2C57; text-decoration: none;}

#menu ul {
  margin: 0px;
  text-align:right;
  padding: 0;
}

#menu ul li {
  display: inline-block;
  position: relative;
}

#menu ul li > a{
    display: inline-block;
    padding:50px 10px;
    font-size: 14px;
    text-transform: uppercase;
}

#menu ul li > a > i {
  margin-left: 15px;
  transition: all ease-out 0.3s;
  -webkit-transition: all ease-out 0.1s;
}

#menu ul li ul {
  display: none;
  position: absolute;
  top: 118px;
  width: 200px;
  background: #1A2C57;
  text-align: left;
}

#menu ul li ul li { display: block; }

#menu ul li ul li a {
    display: block;
    text-transform: capitalize;
    color: #fff;
    font-size: 13px;
	padding:10px;
}

#menu ul li:hover > a { color:#F2692B; }

#menu ul li:hover > a > i { transform: rotateZ(90deg); }

#menu ul li:hover ul { display: block; }
@media screen and (max-width: 768px) {

a#toggle { display: block; }

main#content {
  margin-top: 65px;
  transition: all ease-out 0.3s;
}

#menu{
    position: fixed;
    width: 250px;
    height: 100%;
    top: 0;
    right: 0;
    overflow: hidden;
        overflow-y: hidden;
    overflow-y: auto;
    background-color: rgba(26,44,87, 0.8);
    transform: translateX(270px);
}

#menu ul {
  text-align: left;
  background-color: transparent;
  padding-top: 110px;
}

#menu ul li ul{
	padding-top:0px;
}

#menu ul li { display: block; }

#menu ul li a { display: block; color:#fff; padding:15px 10px; }

#menu ul li a > i { float: right; }

#menu ul li ul {
  display: none;
  position: static;
  width: 100%;
  background-color: rgba(255, 108, 0, 0.4);
}

#menu ul li:hover > ul { display: none; }

#menu ul li:hover > a > i { transform: rotateZ(0); }

#menu ul li.open > a { background-color: rgba(0, 0, 0, 0.3); }

#menu ul li.open > a > i { transform: rotateZ(90deg); }

#menu ul li.open > ul { display: block; }

div#overlay {
  display: block;
  visibility: hidden;
  position: fixed;
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  z-index: 1;
  opacity: 0;
}

html.open-menu { overflow: hidden; }

html.open-menu div#overlay {
  visibility: visible;
  opacity: 1;
  width: calc(-150%);
  left: 250px;
}

html.open-menu a#toggle,
 html.open-menu main#content { transform: translateX(-250px); }

html.open-menu nav#menu {
  z-index: 3;
  transform: translateX(0);
}
}